2 Replies Latest reply on Mar 20, 2008 2:58 AM by novembers

    Error: Unable To Open 'services-config.xml"

    Level 1
      Hello!

      I have a Flex 3 trial as for now but I think I`ll get the student version soon.

      I have this little problem over here. I`m doing a project which uses AMFPHP services. I have changed the addititional compile arguments to this but somehow it still gives me an error "Unable to open 'services-config.xml":

      -locale en_US -services "services-config.xml"

      It sucks. And when I use Flex 2 it doesnt give me that error. Well the computer that has the Flex 2 is at my school and it is a PC. Mine is an Apple`s MacBook. I wonder if there are some major differencies between the version 2 and version 3.

      My service-config.xml contains the following code:

      <?xml version="1.0" encoding="UTF-8"?>
      <services-config>
      <services>
      <service id="amfphp-flashremoting-service" class="flex.messaging.services.RemotingService" messageTypes="flex.messaging.messages.RemotingMessage">
      <destination id="amfphp">
      <channels>
      <channel ref="my-amfphp"/>
      </channels>
      <properties>
      <source>*</source>
      </properties>
      </destination>
      </service>
      </services>
      <channels>
      <channel-definition id="my-amfphp" class="mx.messaging.channels.AMFChannel">
      <endpoint uri="######### class="flex.messaging.endpoints.AMFEndpoint"/>
      </channel-definition>
      </channels>
      </services-config>